Vertical rule

React Vertical rule - Bootstrap 5 & Material Design 2.0

Add a vertical divider to your design.

How it works

Vertical rules are inspired by the <hr> element, allowing you to create vertical dividers in common layouts. They’re styled just like <hr> elements:

  • They’re 1px wide
  • They have min-height of 1em
  • Their color is set via currentColor and opacity

Customize them with additional styles as needed.


Example

Use .vr class to create vertical dividers:

        
            
                  import React from 'react';
                  
                  export default function App() {
                    return (
                      <>       
                        <div className="vr"></div>
                      </>
                    );
                  }
                
        
    

Vertical rules scale their height in flex layouts:

        
            
                  import React from 'react';
                  
                  export default function App() {
                    return (
                      <>
                        <div className='d-flex' style={{ height: 200 }};>
                          <div className='vr'></div>
                        </div>
                      </>
                    );
                  }
                
        
    

With stacks

They can also be used in stacks:

First item
Second item
Third item
        
            
                  import React from 'react';
                  
                  export default function App() {
                    return (
                      <>
                        <div class="hstack gap-3">
                          <div class="bg-light border">First item</div>
                          <div class="bg-light border ms-auto">Second item</div>
                          <div class="vr"></div>
                          <div class="bg-light border">Third item</div>
                        </div>
                      </>
                    );
                  }
                
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Vertical rule

Vue Bootstrap 5 Vertical rule

Truncate long strings of text with an ellipsis.


How it works

Vertical rules are inspired by the <hr> element, allowing you to create vertical dividers in common layouts. They’re styled just like <hr> elements:

  • They’re 1px wide
  • They have min-height of 1em
  • Their color is set via currentColor and opacity

Customize them with additional styles as needed.


Example

        
            
          <template>
            <div class="vr"></div>
          </template>
        
        
    

Vertical rules scale their height in flex layouts:

        
            
            <template>
              <div class="d-flex" style="height: 200px;">
                <div class="vr"></div>
              </div>
            </template>
          
        
    

With stacks

They can also be used in stacks:

First item
Second item
Third item
        
            
            <template>
              <div class="hstack gap-3">
                <div class="bg-body-tertiary border">First item</div>
                <div class="bg-body-tertiary border ms-auto">Second item</div>
                <div class="vr"></div>
                <div class="bg-body-tertiary border">Third item</div>
              </div>
            </template>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!